package intrinsic.flash.display;

public class NativeMenu extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.flash.display.NativeMenu parent;
	public int numItems;
	public intrinsic.Array items;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NativeMenu() {
}


/** Static Methods */

/** Methods */
public native boolean containsItem(intrinsic.flash.display.NativeMenuItem arg0);
public native intrinsic.flash.display.NativeMenuItem addItem(intrinsic.flash.display.NativeMenuItem arg0);
public native intrinsic.flash.display.NativeMenuItem removeItem(intrinsic.flash.display.NativeMenuItem arg0);
public native intrinsic.flash.display.NativeMenuItem getItemAt(int arg0);
public native void display(intrinsic.flash.display.Stage arg0, double arg1, double arg2);
public native intrinsic.flash.display.NativeMenuItem addSubmenuAt(intrinsic.flash.display.NativeMenu arg0, int arg1, String arg2);
public native intrinsic.flash.display.NativeMenuItem addSubmenu(intrinsic.flash.display.NativeMenu arg0, String arg1);
public native intrinsic.flash.display.NativeMenuItem addItemAt(intrinsic.flash.display.NativeMenuItem arg0, int arg1);
public native intrinsic.flash.display.NativeMenuItem getItemByName(String arg0);
public native int getItemIndex(intrinsic.flash.display.NativeMenuItem arg0);
public native void setItemIndex(intrinsic.flash.display.NativeMenuItem arg0, int arg1);
public native intrinsic.flash.display.NativeMenuItem removeItemAt(int arg0);

}
